IF NOT EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'GuestNumber'
    AND SysObjects.Name = 'CustomerOrdreBook'
)
  ALTER TABLE CustomerOrdreBook ADD GuestNumber smallint NULL
GO